Bug 116703 - REGRESSION: Invalid WSDL is created by wizard
REGRESSION: Invalid WSDL is created by wizard
Status: VERIFIED FIXED
Product: xml
Classification: Unclassified
Component: WSDL Tools
6.x
PC All
: P1 (vote)
: TBD
Assigned To: Shivanand Kini
issues@xml
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-25 16:00 UTC by Andrei Chistiakov
Modified: 2008-04-02 08:56 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrei Chistiakov 2007-09-25 16:00:16 UTC
Please look into this issue as soon as possible. The issue breaks an important functionality and is probably the one
that causes failure of NB UI commit validation tests running against continuous build.

Reproduced in build 200709250000.

To reproduce the bug:
- create BPEL Module;
- add PurchaseOrder schema into it;
- create a WSDL. While creating, select one-way operation, set ns:purchaseOrder input element, set Document Literal
binding subtype;
- validate the WSDL.

The output is as follows:
XML validation started.
D:/XSLTSrc2/XsltModule1/src/newWSDL.wsdl:12,8
Error: In part "part1", attribute element's value "purchaseOrder" is not a valid xml schema element available in this
wsdl file. : Specify a valid schema element value for element attribute.

D:/XSLTSrc2/XsltModule1/src/newWSDL.wsdl:19,4
Error: Missing a valid portType in binding "newWSDLBinding". "newWSDLPortType" is not a valid portType. : Specify a
valid portType in this binding.

2 Error(s),  0 Warning(s).
XML validation finished
Comment 1 Andrei Chistiakov 2007-09-25 16:02:41 UTC
See also issue 116310.
Comment 2 Sergey Lunegov 2007-09-26 15:25:42 UTC
Kini, if any input is required from my team please let me know.
Comment 3 Sergey Lunegov 2007-09-26 15:30:36 UTC
Vladimir, please be in touch with Kini.
We should make sure our functionality works OK.
Comment 4 Shivanand Kini 2007-09-26 19:12:09 UTC
This used to work before. Something in the model has changed which causes incorrect namespace calculation for references.
if a reference is set into a component, before the component is set into the model, prefix/namespace calculation is
wrongly done.

In wsdl editor, made sure that createReferenceTo or createSchemaReference is only called after the parent component is
in the model.

Comment 5 Shivanand Kini 2007-09-26 19:13:05 UTC
Fixed this.
Comment 6 Andrei Chistiakov 2007-09-27 11:23:29 UTC
Verified in build 200709270000.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo